| All Verbs | /RestApi/Sitefinity/Analytics/GetAnalyticsAccounts | ||
|---|---|---|---|
| All Verbs | /RestApi/GetAnalyticsAccounts |
import java.math.*
import java.util.*
import net.servicestack.client.*
import com.google.gson.annotations.*
import com.google.gson.reflect.*
open class GetAnalyticsAccountsMessage
{
var SiteId:UUID? = null
}
open class GetAnalyticsAccountsData
{
var Accounts:ArrayList<AnalyticsAccountInfo> = ArrayList<AnalyticsAccountInfo>()
var SelectedAccount:String? = null
var SelectedProfileId:String? = null
}
@DataContract
open class AnalyticsAccountInfo : IGoogleAnalyticsProviderConfiguration
{
@DataMember(Name="id")
@SerializedName("id")
var Id:String? = null
@DataMember(Name="accountId")
@SerializedName("accountId")
var AccountId:String? = null
@DataMember(Name="name")
@SerializedName("name")
var AccountName:String? = null
@DataMember(Name="webPropertyId")
@SerializedName("webPropertyId")
var WebPropertyId:String? = null
}
Kotlin GetAnalyticsAccountsMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetAnalyticsAccounts HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<GetAnalyticsAccountsMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<SiteId>00000000-0000-0000-0000-000000000000</SiteId>
</GetAnalyticsAccountsMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetAnalyticsAccountsData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<Accounts xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.Model">
<d2p1:AnalyticsAccountInfo>
<d2p1:accountId>String</d2p1:accountId>
<d2p1:id>String</d2p1:id>
<d2p1:name>String</d2p1:name>
<d2p1:webPropertyId>String</d2p1:webPropertyId>
</d2p1:AnalyticsAccountInfo>
</Accounts>
<SelectedAccount>String</SelectedAccount>
<SelectedProfileId>String</SelectedProfileId>
</GetAnalyticsAccountsData>